import Vue from 'vue';

const state = {
  token: '',
  staffChangeId: 3,
  organizeId:2,
  name: '夏日光',
  avatar: '',
  joinPartyDate:'',
  personneSort:'',
  aggregateScore:'',
  flowDay:'',
}

const mutations = {
  SET_TOKEN: (state, token) => {
    state.token = token
  },
  SET_INTRODUCTION: (state, introduction) => {
    state.introduction = introduction
  },
  SET_NAME: (state, name) => {
    state.name = name
  },
  SET_AVATAR: (state, avatar) => {
    state.avatar = avatar
  },
  SET_JOIN_PARTY_DATE:(state, joinPartyDate)=>{
	state.joinPartyDate = joinPartyDate
  },
  SET_PERSONNE_SORT:(state,personneSort)=>{
	state.personneSort = personneSort
  }, 
  SET_AGGREGATE_SCORE:(state,aggregateScore)=>{
	state.aggregateScore = aggregateScore
  },
  SET_FLOW_DAY:(state,flowDay)=>{
	state.flowDay=flowDay;
  },
  SET_ORGANIZE_ID:(state,organizeId)=>{
	state.organizeId= organizeId;
  }
}

const actions = {
	getUserInfo({ commit },userInfo) {
		commit("SET_NAME",userInfo.name);
		commit("SET_JOIN_PARTY_DATE",userInfo.joinPartyDate);
		commit("SET_FLOW_DAY",userInfo.flowDay);
		commit("SET_AVATAR",userInfo.pic===null?"":userInfo.pic);
		commit("SET_PERSONNE_SORT",userInfo.personneSort===null?"":userInfo.personneSort);
		commit("SET_AGGREGATE_SCORE",userInfo.aggregateScore===null?0:userInfo.aggregateScore);
		commit("SET_ORGANIZE_ID",userInfo.organize);
	}
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
